GDB (xrefs)

Public Attributes | List of all members
pv_area::area_entry Struct Reference

## Public Attributes
struct area_entry * | prev
struct area_entry * | next
CORE_ADDR | offset
CORE_ADDR | size
pv_t | value

## Detailed Description

Definition at line 281 of file prologue-value.c.

## Member Data Documentation

## ◆ next

struct area_entry * pv_area::area_entry::next

Definition at line 284 of file prologue-value.c.

Referenced by gdb.FrameIterator.FrameIterator::__next__(), pv_area::clear_entries(), pv_area::find_entry(), pv_area::find_reg(), pv_area::scan(), and pv_area::store().

## ◆ offset

CORE_ADDR pv_area::area_entry::offset

Definition at line 288 of file prologue-value.c.

Referenced by pv_area::fetch(), pv_area::find_entry(), pv_area::find_reg(), pv_area::overlaps(), pv_area::scan(), and pv_area::store().

## ◆ prev

struct area_entry* pv_area::area_entry::prev

Definition at line 284 of file prologue-value.c.

Referenced by pv_area::find_entry(), and pv_area::store().

## ◆ size

CORE_ADDR pv_area::area_entry::size

Definition at line 292 of file prologue-value.c.

Referenced by pv_area::fetch(), pv_area::find_reg(), pv_area::overlaps(), pv_area::scan(), and pv_area::store().

## ◆ value

pv_t pv_area::area_entry::value

Definition at line 295 of file prologue-value.c.

Referenced by pv_area::fetch(), pv_area::find_reg(), pv_area::scan(), and pv_area::store().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/prologue-value.c